<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\common\state;

/**
 * Description of HouseStateEnum
 *
 * @author sgq
 */
class HouseStateEnum {

    const NOTPASS = -1;
    const SAVE = 1;
    const NEED_CHECK = 5;
    const FIRST_REJECT = 10;
    const REJECT_TO_FIRST = 15;
    const NEED_DEP_CHECK = 20;
    const DEP_REJECT = 25;
    const REJECT_TO_DEP = 30;
    const NEED_REVIEW_CHECK = 35;
    const REJECT_TO_REVIEW = 38;
    const REVIEW_PASS = 40;

    static function getStateName($code) {
        switch ($code) {
            case self::NOTPASS:
                return "审核不通过";
            case self::SAVE:
                return "待提交";
            case self::NEED_CHECK:
                return "待审核";
            case self::FIRST_REJECT:
                return "初审驳回";
            case self::REJECT_TO_FIRST:
                return "驳回(至初审)";
            case self::NEED_DEP_CHECK:
                return "待部门审核";
            case self::DEP_REJECT:
                return "部门驳回";
            case self::REJECT_TO_DEP:
                return "驳回(至部门)";
            case self::NEED_REVIEW_CHECK:
                return "待复核";
            case self::REJECT_TO_REVIEW:
                return "驳回(至复核)";
            case self::REVIEW_PASS:
                return "复核通过";
            default:
                return "";
        }
    }

}
